7.6. Uscita su framebuffer (FBdev)
Indietro | Capitolo 7. Dispositivi di uscita video | Avanti

## 7.6. Uscita su framebuffer (FBdev)

Se compilare l'uscita FBdev o no viene rilevato automaticamente da `./configure`. Leggi nei sorgenti del kernel la documentazione sul framebuffer (`Documentation/fb/*`) per ulteriori informazioni.

Se la tua scheda non supporta lo standard VBE 2.0 (vecchie schede ISA/PCI, come la S3 Trio64), ma solo VBE 1.2 (o precedente?): bene, c'è ancora VESAfb, ma ddovrai caricare SciTech Display Doctor (conosciuto precedentemente come UniVBE) prima di avviare Linux. Usa un disco di avvio DOS o qualcosa del genere. E non dimenticare di registrare il tuo UniVBE ;))

L'uscita su FBdev richiede principalmente alcuni parametri addizionali:

`-fb`

  specifica il dispositivo framebuffer da usare (default: `/dev/fb0`)

`-fbmode`

  nome della modalità da usare (come in `/etc/fb.modes`)

`-fbmodeconfig`

  file di configirazione delle modalità (default: `/etc/fb.modes`)

`-monitor-hfreq`, `-monitor-vfreq`, `-monitor-dotclock`

  valori importanti, vedi `example.conf`

Se vuoi passare a una modalità particolare, allora usa

    mplayer -vm -fbmode nome_modalità nomefile

- `-vm` da sola può scegliere la modalità più adatta da `/etc/fb.modes`. Può essere usata anche insieme con le opzioni `-x` e `-y`. L'opzione `-flip` è supportata solo se il formato pixel del film corrisponde al formato pixel della modalità video. Stai attento al valore di bpp, il driver fbdev cerca di usare prima quello corrente, poi quello che indichi tramite l'opzione `-bpp` option.

- l'opzione `-zoom` non è supportata (usa `-vf scale`). Non puoi usare modalità a 8bbp (o meno).

- Probabilmente vuoi disabilitare il cursore:

      echo -e '\033[?25l'

  o

      setterm -cursor off

  e il salvaschermo:

      setterm -blank 0

  Per riabilitare il cursore:

      echo -e '\033[?25h'

  o

      setterm -cursor on

### Nota

La modifica della modalità video di FBdev non funziona con il framebuffer VESA, e non chiederla, visto che non è una limitazione di MPlayer.

Indietro | Risali | Avanti
7.5. SVGAlib | Partenza | 7.7. Framebuffer Matrox (mga_vid)